// AnalogWaveformVC6Dlg.cpp : implementation file
//

#include "stdafx.h"
#include "AnalogWaveformVC6.h"
#include "AnalogWaveformVC6Dlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAnalogWaveformVC6Dlg dialog

CAnalogWaveformVC6Dlg::CAnalogWaveformVC6Dlg(CWnd* pParent /*=NULL*/)
	: CDialog(CAnalogWaveformVC6Dlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CAnalogWaveformVC6Dlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CAnalogWaveformVC6Dlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAnalogWaveformVC6Dlg)
	DDX_Control(pDX, IDC_ULTIMASERIALCTRL1, m_UltimaSerial);
	DDX_Control(pDX, IDC_DQCHARTCTRL1, m_DqChart);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAnalogWaveformVC6Dlg, CDialog)
	//{{AFX_MSG_MAP(CAnalogWaveformVC6Dlg)
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CAnalogWaveformVC6Dlg message handlers

BOOL CAnalogWaveformVC6Dlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here
	m_UltimaSerial.SetDevice(194);
	m_UltimaSerial.SetCommPort(1);
	m_UltimaSerial.SetEventLevel(2);
	m_UltimaSerial.SetSampleRate(240);
	m_UltimaSerial.SetChannelCount(1);
	m_UltimaSerial.SetSmoothScrolling(TRUE);
	m_UltimaSerial.Start();
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CAnalogWaveformVC6Dlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CAnalogWaveformVC6Dlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

BEGIN_EVENTSINK_MAP(CAnalogWaveformVC6Dlg, CDialog)
    //{{AFX_EVENTSINK_MAP(CAnalogWaveformVC6Dlg)
	ON_EVENT(CAnalogWaveformVC6Dlg, IDC_ULTIMASERIALCTRL1, 2 /* NewData */, OnNewDataUltimaserialctrl1, VTS_I2)
	//}}AFX_EVENTSINK_MAP
END_EVENTSINK_MAP()

void CAnalogWaveformVC6Dlg::OnNewDataUltimaserialctrl1(short Count) 
{
	m_DqChart.Chart(m_UltimaSerial.GetData());
}


void CAnalogWaveformVC6Dlg::OnOK() 
{
	m_UltimaSerial.Stop();
	
	CDialog::OnOK();
}
